SDHC Issues on 4.0 (Bannerbomb hacked)

Discussion in 'Wii - Hacking' started by Praxis, May 14, 2009.

  1. Praxis
    OP

    Praxis GBAtemp Regular

    Member
    110
    5
    Mar 26, 2009
    United States
    Nintendo replaced my overheating Wii with a refurbished 4.0-installed Wii (not LU64). I've been waiting for bannerbomb, and followed kongsnutz' guide to install HBC.

    Background:

    As it is, I have installed everything in the tutorial (cIOS v7, HBC, and Gamma 0.3). Afterwards, I also installed cIOS v10, and IOS60 (patched). Obviously in following the tutorial I installed what was instructed (IOS35 and IOS36 wads), though I'm not entirely sure what was different about those IOS' compared to the ones that were installed prior. I used a 2 GB Sandisk SD card in the process.

    My odd issue is this:

    When I put in my SDHC card (which worked fine on my old Wii!), everything works perfectly. I can copy channels on or off of it. However, when I launch homebrew channel, it shows no apps on the card.

    Once I exit Homebrew Channel, the Wii no longer sees the SDHC card. If I try to view the data on it (through either the SD card icon or the menus), I receive an error that: "The device inserted into the SD card slot cannot be used". Google reveals that this error message was displayed if you tried to put a SDHC card in a pre-4.0 Wii, OR if the Wii's card slot is faulty.

    If I pop the card out and put it back in, everything works fine again, until I go to homebrew channel, at which point nothing can read it again.

    I'm clueless as to the cause of this. A shot in the dark guess...is the homebrew channel somehow calling an older IOS from prior to 4.0 that does not support SDHC? I have no idea.

    Anyone seen this before or have an idea?

    EDIT: The card in question is an 8 GB Kingston SDHC card. "SD6/8GB".
     
  2. Vidboy10

    Vidboy10 Tsardom

    Member
    2,617
    7
    Dec 15, 2008
    Canada
    Vancouver, B.C
    Are you on HBC 1.0.2?
    Because if you are than that the problem.
    but Dont worry, Team Twiizers are fixing thae problem
     
  3. Praxis
    OP

    Praxis GBAtemp Regular

    Member
    110
    5
    Mar 26, 2009
    United States
    I have whichever version came with Kongsnutz's tutorial- I'll check the version number when I get home.

    Is 1.02 the latest? And is the issue specific to 4.0?

    I'm curious why HBC causes the entire wii system menu to not read SDHC cards.
     
  4. phpgeek

    phpgeek GBAtemp Regular

    Member
    112
    0
    Feb 15, 2009
    The issues you are having have nothing to do with the HBC as they obviously effect the system itself (as you clearly stated). There is an issue with the latest version of the HBC 1.02, but you can get rid of that by patching it to load off a non SDHC compatible IOS (dirty fix).

    Anyway, back to your issues:

    Can you load up the HBC and tell me what IOS and revision it's running off? For HBC 1.01 I would always recommend IOS36 v4.18.
     
  5. Originality

    Originality Chibi-neko

    Member
    5,353
    782
    Apr 21, 2008
    London, UK
    Just to add some light to this, my Kingston Class6 8GB SDHC card doesn't show any apps on HBC 1.01 with IOS36 v4.18. It's always worked with my 1GB SanDisk SD, and the SD channels works perfectly fine with my SDHC, but the HBC doesn't show any apps.

    I've seen a SD compatibility wiki somewhere before and unfortunately it seems that Kingston Class6 doesn't work with HBC. Both Transcend and SanDisk alternatives work though. I've no idea why, what causes it, how to fix it, or if it can be fixed. I've tried the normal formatting options, to no avail, and WBFS does work on it, but whatever the problem is, HBC can't find the apps.

    It would be nice if there was a way to fix it though. I bought the SDHC just for the Wii (and the SD Loader). EDIT: FYI, I have a Wanin updated 4.0E with preloader 0.29, not bannerbombed.
     
  6. Praxis
    OP

    Praxis GBAtemp Regular

    Member
    110
    5
    Mar 26, 2009
    United States
    Ok, just checked.

    HBC says:

    1.0.1
    IOS36 v12.22

    If this card's incompatible with HBC, then :/, but it shouldn't break it system wide, right?
    Any suggestions?

    But they don't start until I launch HBC.
     
  7. Heathcliff

    Heathcliff GBAtemp Regular

    Member
    125
    0
    Jan 20, 2009
    France
    Paris, France
    Same issue here with an Emtec 8GB Class 4 SDHC... When trying to use it with HBC (1.0.1) or any game while using IOS 61 (thanks to SoftChip) which is suposed to have SDHC support the card won't be recognized by the system anymore.

    I succeeded once in making the card kind of work with RB2 on IOS 61. It gave me the error saying the catalog was corrupted instead of the usual unusable device error.

    But usually when I try to use my SDHC with something else than the Wii System Menu the card will kind of lock itself...
     
  8. maako

    maako Member

    Newcomer
    23
    0
    Nov 12, 2008
    Helltown
    I got a Buffalo 8GB SDHC and everything works fine with bootmii. But it doesn't show any apps in HBC 1.0.2. Other cards got no problems. I downgraded to 1.0.1 and it worked again, so I assume it's something not working in HBC 1.0.2..
     
  9. ghorricks

    ghorricks Member

    Newcomer
    45
    9
    Mar 31, 2008
    I have a similar issue.
    The card works fine in the Wii System Menu. (8GB SDHC from Play.com).
    HBC doesn't detect the card at all.
    Sometime the Wii system doesnt recognise the memory card.
     
  10. Shonk

    Shonk Advanced Member

    Newcomer
    61
    0
    May 11, 2009
    United States
    I have an 8gb transcend its working fine

    its 1.01 IOS36 v12.22
     
  11. aml435

    aml435 GBAtemp Regular

    Member
    124
    1
    Feb 10, 2009
    United States
    Be sure to hit the home key in the HBC and try to reload the card. Some SDHC cards don't appear in HBC until reload. No guarantees it will work for you. I just know that I always have to reload mine to get it to show up.
     
  12. fukseliten

    fukseliten GBAtemp Regular

    Member
    134
    33
    Apr 19, 2008
    Norway
    HBC 1.02 breaks SDHC compatability . Use 1.01 until 1.03 with fix is released